Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator
Class Operator

    java.lang.Object
      com.bea.p13n.expression.internal.ComplexExpressionImpl
          com.bea.p13n.expression.operator.Operator

All Implemented Interfaces
  Expression, com.bea.p13n.expression.ExpressionEvents, Serializable, Cloneable

Direct Known Subclasses:
  ClassForName, ClassGetName, ClassNewInstance, CollectionOperator, ComparativeOperator, If, Instanceof, LogicalOperator, MathOperator, MethodCall, ObjectGetClass, ObjectHashCode, ObjectToString, PropertyRef, PropertyRef, StringOperator, SystemCurrentTimeMillis, SystemGetProperty, Variable, VariableBinding

    public abstract class Operator

extends com.bea.p13n.expression.internal.ComplexExpressionImpl

Base class for all Operators in the expression package.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`protected` | `Operator()` A default constructor that can used by multi-operand operators.
`protected` | `Operator(Object unaryOperand)` A constructor to be used by unary operators.
`protected` | `Operator(Object lhs, Object rhs)` A constructor to be used by binary operators.

Method Summary
`protected Object` | `leftHandSide()` Returns left hand side operand of a binary operator.
`protected Object` | `operand()` Returns unary operand of an unary operator.
`protected Object` | `rightHandSide()` Returns right hand side operand of a binary operator.

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.expression.Expression
`getParameterSignature`

Constructor Detail

### Operator

    protected Operator()

  A default constructor that can used by multi-operand operators.

### Operator

    protected Operator(Object unaryOperand)

  A constructor to be used by unary operators.

  Parameters
    `unaryOperand` - An operand to a unary operator.

### Operator

    protected Operator(Object lhs,
                       Object rhs)

  A constructor to be used by binary operators.

  Parameters
    `lhs` - The left hand side operand.
    `rhs` - The right hand side operand.

Method Detail

### operand

    protected Object operand()

  Returns unary operand of an unary operator.

  Returns
    An `Object` representing an operand of an unary operator.

### leftHandSide

    protected Object leftHandSide()

  Returns left hand side operand of a binary operator.

  Returns
    An `Object` representing a left hand side operand of a binary operator.

### rightHandSide

    protected Object rightHandSide()

  Returns right hand side operand of a binary operator.

  Returns
    An `Object` representing a right hand side operand of a binary operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved